## org.eclipse.emf.databinding
Interface IEMFValueProperty

All Superinterfaces:
  IEMFProperty, org.eclipse.core.databinding.property.IProperty, org.eclipse.core.databinding.property.value.IValueProperty

All Known Subinterfaces:
  IEMFEditValueProperty

All Known Implementing Classes:
  EMFEditValuePropertyDecorator, EMFValuePropertyDecorator

    public interface IEMFValueProperty

extends IEMFProperty, org.eclipse.core.databinding.property.value.IValueProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

An `IValueProperty` extension interface with convenience methods for creating nested `EStructuralFeature` properties.

Since:
  2.5

Method Summary
`IEMFListProperty` `list(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified list feature.
`IEMFListProperty` `list(IEMFListProperty property)` Returns a master-detail combination of this property and the specified list property.
`IEMFMapProperty` `map(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified map feature.
`IEMFMapProperty` `map(IEMFMapProperty property)` Returns a master-detail combination of this property and the specified map property.
`IEMFValueProperty` `value(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value feature.
`IEMFValueProperty` `value(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified nested value feature.
`IEMFValueProperty` `value(IEMFValueProperty property)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from interface org.eclipse.emf.databinding.IEMFProperty
`getStructuralFeature`

Methods inherited from interface org.eclipse.core.databinding.property.value.IValueProperty
`getValueType, list, map, observe, observe, observeDetail, observeDetail, observeDetail, observeDetail, set, value, valueFactory, valueFactory`

Method Detail

### value

    IEMFValueProperty value(FeaturePath featurePath)

  Returns a master-detail combination of this property and the specified nested value feature.

  Parameters:
    `featurePath` - the nested value property to observe.
  Returns:
    a master-detail combination of this property and the specified nested value feature.
  See Also:
    `value(IEMFValueProperty)`

### value

    IEMFValueProperty value(EStructuralFeature feature)

  Returns a master-detail combination of this property and the specified value feature.

  Parameters:
    `feature` - the nested value property to observe.
  Returns:
    a master-detail combination of this property and the specified value feature.
  See Also:
    `value(IEMFValueProperty)`

### value

    IEMFValueProperty value(IEMFValueProperty property)

  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified detail value property for the value of the master value property.

  Example:

       // Observes the Node-typed "parent" property of a Node object
       IEMFValueProperty parent = EMFProperties.value(MyPackage.Literals.NODE_PARENT);
       // Observes the string-typed "name" property of a Node object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.NODE_NAME);
       // Observes the name of the parent of a Node object.
       IEMFValueProperty parentName = parent.value(name);

  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### list

    IEMFListProperty list(EStructuralFeature feature)

  Returns a master-detail combination of this property and the specified list feature.

  Parameters:
    `feature` - the list feature to observe
  Returns:
    a master-detail combination of this property and the specified list feature.
  See Also:
    `list(IEMFListProperty)`

### list

    IEMFListProperty list(IEMFListProperty property)

  Returns a master-detail combination of this property and the specified list property. The returned property will observe the specified list property for the value of the master property.

  Example:

       // Observes the Node-typed "parent" property of a Node object.
       IEMFValueProperty parent = EMFProperties.value(MyPackage.Literals.NODE_PARENT);
       // Observes the List-typed "children" property of a Node object
       // where the elements are Node objects
       IEMFListProperty children = EMFProperties.list(MyPackage.Literals.NODE_CHILDREN);
       // Observes the children of the parent (siblings) of a Node object.
       IEMFListProperty siblings = parent.list(children);

  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified list property.

### map

    IEMFMapProperty map(EStructuralFeature feature)

  Returns a master-detail combination of this property and the specified map feature.

  Parameters:
    `feature` - the map property to observe
  Returns:
    a master-detail combination of this property and the specified map feature.
  See Also:
    `map(IEMFMapProperty)`

### map

    IEMFMapProperty map(IEMFMapProperty property)

  Returns a master-detail combination of this property and the specified map property. The returned property will observe the specified map property for the value of the master property.

  Example:

       // Observes the Contact-typed "supervisor" property of a
       // Contact class
       IEMFValueProperty supervisor = EMFProperties.value(MyPackage.Literals.CONTACT_SUPERVISOR);
       // Observes the property "phoneNumbers" of a Contact object--a property mapping
       // from PhoneNumberType to PhoneNumber "set-typed "children",
       IEMFMapProperty phoneNumbers = EMFProperties.map(MyPackage.Literals.CONTACT_PHONENUMBERS);
       // Observes the phone numbers of a contact's supervisor:
       IEMFMapProperty supervisorPhoneNumbers = supervisor.map(phoneNumbers);

  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified map property.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.